using System.Collections.Generic;
using System.Linq;
using System.Windows.Controls;

namespace DeferedScrollProblem
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();
            this.radGridView1.ItemsSource = this.GetPersons();
        }

        public IEnumerable<Person> GetPersons()
        {
            return from i in Enumerable.Range(1, 200)
                   select new Person { Name = (i / 10).ToString(), Age = i % 10 };
        }
    }

    public class Person
    {
        public string Name { get; set; }
        public int Age { get; set; }
    }
}